subsetData {mRMRe} | R Documentation

## Returns a mRMRe.Data object using a subset of the current mRMRe.Data object.

### Description

This method is used to extract a subset of the current mRMRe.Data object.

### Usage

    ## S4 method for signature 'mRMRe.Data'
    subsetData(object, row_indices, column_indices)

### Arguments

`object` | a `mRMRe.Data` object.
`row_indices` | An integer vector of the rows to be included in the subset.
`column_indices` | An integer vector of the columns to be included in the subset.

### Author(s)

Nicolas De Jay, Simon Papillon-Cavanagh, Benjamin Haibe-Kains

### Examples

    set.thread.count(2)
    data(cgps)
    feature_data <- mRMR.data(data = data.frame(cgps.ge))
    # Subset the same dimensions, equivalent to making a copy
    feature_data_copy <- subsetData(feature_data,
        row_indices=sampleCount(feature_data),
    		column_indices=featureCount(feature_data))

    # Use only half of the samples
    feature_data_samples <- subsetData(feature_data, row_indices=sampleCount(feature_data)/2)

    # Use only half of the features
    feature_data_features <- subsetData(feature_data,
        column_indices=featureCount(feature_data))

[Package mRMRe version 2.0.9 Index]